'use strict';

var _reactBuffer = require('react-buffer');

var ArrayOfNumberPropType = _reactBuffer.PropTypes.arrayOf(_reactBuffer.PropTypes.number); /**
                                                                                            * Copyright (c) 2015-present, Facebook, Inc.
                                                                                            * All rights reserved.
                                                                                            *
                                                                                            * 
                                                                                            */

var numberOrString = _reactBuffer.PropTypes.oneOfType([_reactBuffer.PropTypes.number, _reactBuffer.PropTypes.string]);

var TransformMatrixPropType = function TransformMatrixPropType(props, propName, componentName) {
  if (props.transform && props.transformMatrix) {
    return new Error('transformMatrix and transform styles cannot be used on the same ' + 'component');
  }
  return ArrayOfNumberPropType(props, propName, componentName);
};

var TransformPropTypes = {
  transform: _reactBuffer.PropTypes.arrayOf(_reactBuffer.PropTypes.oneOfType([_reactBuffer.PropTypes.shape({ perspective: numberOrString }), _reactBuffer.PropTypes.shape({ rotate: numberOrString }), _reactBuffer.PropTypes.shape({ rotateX: numberOrString }), _reactBuffer.PropTypes.shape({ rotateY: numberOrString }), _reactBuffer.PropTypes.shape({ rotateZ: numberOrString }), _reactBuffer.PropTypes.shape({ scale: numberOrString }), _reactBuffer.PropTypes.shape({ scaleX: numberOrString }), _reactBuffer.PropTypes.shape({ scaleY: numberOrString }), _reactBuffer.PropTypes.shape({ skewX: numberOrString }), _reactBuffer.PropTypes.shape({ skewY: numberOrString }), _reactBuffer.PropTypes.shape({ translateX: numberOrString }), _reactBuffer.PropTypes.shape({ translateY: numberOrString }), _reactBuffer.PropTypes.shape({ translateZ: numberOrString }), _reactBuffer.PropTypes.shape({ translate3d: _reactBuffer.PropTypes.string })])),
  transformMatrix: TransformMatrixPropType
};

module.exports = TransformPropTypes;